{"swagger":"2.0","info":{"version":"V1","title":"Gosocket API","description":"Gosocket API Help","x-swagger-net-version":"8.3.22.101","contact":{"name":"Gosocket Developer Team","url":"https://www.gosocket.net","email":"developers@gosocket.net"}},"host":"developer.gosocket.net","basePath":"/api/v1","schemes":["http","https"],"paths":{"/Account/GetAccount":{"get":{"tags":["Account"],"operationId":"Account_GetAccount","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"countryId","in":"query","required":false,"type":"string"},{"name":"receiverCode","in":"query","required":false,"type":"string"},{"name":"identificationType","in":"query","required":false,"type":"string"},{"name":"TypeId","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.Authority.EntityResponse"}}},"security":[{"basic":[]}]}},"/Comment/AddComment":{"post":{"tags":["Comment"],"operationId":"Comment_AddComment","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"comment","in":"query","required":true,"type":"string"},{"name":"userName","in":"query","required":true,"type":"string"},{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"country","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Comment/DeleteComment":{"post":{"tags":["Comment"],"operationId":"Comment_DeleteComment","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"commentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"userName","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Comment/GetDocumentComments":{"post":{"tags":["Comment"],"operationId":"Comment_GetDocumentComments","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"accountCode","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.Domain.Entities.Comment.GlobalComment"},"xml":{"name":"GlobalComment","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/Distribution/DistributeDocument":{"post":{"tags":["Distribution"],"operationId":"Distribution_DistributeDocument","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"distributionRuleId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/SendDocumentToSave":{"post":{"tags":["Document"],"operationId":"Document_SendDocumentToSave","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"mappingId","in":"query","required":false,"type":"string","default":""}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/SendDocumentToAuthority":{"post":{"tags":["Document"],"operationId":"Document_SendDocumentToAuthority","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"document","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToAuthority"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/SendDocumentToValidate":{"post":{"tags":["Document"],"operationId":"Document_SendDocumentToValidate","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"document","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToValidate"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/SendDocumentToAuthorityCustomResponse":{"post":{"tags":["Document"],"operationId":"Document_SendDocumentToAuthorityCustomResponse","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"document","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToAuthorityCustom"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Document/ImportDocumentFromAuthority":{"post":{"tags":["Document"],"operationId":"Document_ImportDocumentFromAuthority","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ImportFromAuthorityModel"}}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"},"xml":{"name":"ProcessResult","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/Document/UploadedBatchStatus":{"get":{"tags":["Document"],"operationId":"Document_UploadedBatchStatus","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"trackId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/GenerateBillFromDocument":{"post":{"tags":["Document"],"operationId":"Document_GenerateBillFromDocument","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.GenerateBillFromDocumentTemplate"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/GetCatalogsSIN":{"get":{"tags":["Document"],"operationId":"Document_GetCatalogsSIN","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountCode","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Document/GetDocument":{"post":{"tags":["Document"],"summary":"ENG [Get Documents by multiple filters options]\r\nSPA [Retorna los documentos basado en multiples filtros personalizados]","operationId":"Document_GetDocument","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"filter","in":"body","required":true,"schema":{"$ref":"#/definitions/Gosocket.API.Models.DocumentFilter"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentResultOfGosocket.API.Models.Document"}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"405":{"description":"Method Not Allowed"},"500":{"description":"Internal Server Error"}},"security":[{"basic":[]}]}},"/Document/GetDocumentKiosco":{"post":{"tags":["Document"],"operationId":"Document_GetDocumentKiosco","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocuments","in":"body","required":true,"schema":{"items":{"type":"string"},"type":"array"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentResultOfGosocket.API.Models.Document"}}},"security":[{"basic":[]}]}},"/Document/ChangeDocumentStatus":{"get":{"tags":["Document"],"operationId":"Document_GetDocumentChangeDocumentStatus","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToChangeStatus"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]},"post":{"tags":["Document"],"operationId":"Document_ChangeDocumentStatus","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToChangeStatus"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/ChangeDocumentEstimatedPaymentDate":{"get":{"tags":["Document"],"operationId":"Document_GetDocumentChangeDocumentEstimatedPaymentDate","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"estimatedPaymentDate","in":"query","required":true,"type":"string","format":"date-time"},{"name":"source","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]},"post":{"tags":["Document"],"operationId":"Document_ChangeDocumentEstimatedPaymentDate","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"estimatedPaymentDate","in":"query","required":true,"type":"string","format":"date-time"},{"name":"source","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]}},"/Document/DownloadDetailTraffic":{"get":{"tags":["Document"],"operationId":"Document_GetDocumentDownloadDetailTraffic","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"trafficDate","in":"query","required":true,"type":"string","format":"date-time"},{"name":"divisionId","in":"query","required":false,"type":"string","format":"uuid"},{"name":"useDocumentDate","in":"query","required":false,"type":"boolean","default":false},{"name":"page","in":"query","required":false,"type":"string","default":"-1"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]},"post":{"tags":["Document"],"operationId":"Document_DownloadDetailTraffic","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"trafficDate","in":"query","required":true,"type":"string","format":"date-time"},{"name":"divisionId","in":"query","required":false,"type":"string","format":"uuid"},{"name":"useDocumentDate","in":"query","required":false,"type":"boolean","default":false},{"name":"page","in":"query","required":false,"type":"string","default":"-1"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Document/CreateDocument":{"post":{"tags":["Document"],"operationId":"Document_CreateDocument","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"document","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.NewDocument"}}],"responses":{"200":{"description":"OK","schema":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"}}},"security":[{"basic":[]}]}},"/Document/GetDocumentDetails":{"post":{"tags":["Document"],"operationId":"Document_GetDocumentDetails","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"}}},"security":[{"basic":[]}]}},"/Document/DownloadBatch":{"post":{"tags":["Document"],"operationId":"Document_DownloadBatch","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"filter","in":"body","required":true,"schema":{"$ref":"#/definitions/Gosocket.API.Models.DocumentFilter"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Document/GetReceivedDocument":{"get":{"tags":["Document"],"operationId":"Document_GetReceivedDocument","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"servicesApi","in":"query","required":false,"type":"string","default":"API"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ReceivedDocumentResult"}}},"security":[{"basic":[]}]}},"/Document/DocumentGetEvents":{"get":{"tags":["Document"],"operationId":"Document_GetDocumentDocumentGetEvents","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToGetEvents"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]},"post":{"tags":["Document"],"operationId":"Document_DocumentGetEvents","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToGetEvents"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/GetDocumentsGuiaRemision":{"get":{"tags":["Document"],"operationId":"Document_GetDocumentsGuiaRemision","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"documentTypeId","in":"query","required":false,"type":"string","default":""},{"name":"serie","in":"query","required":false,"type":"string","default":""},{"name":"number","in":"query","required":false,"type":"string","default":""}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ReceivedDocumentResult"}}},"security":[{"basic":[]}]}},"/Document/ConfirmReceivedDocument":{"post":{"tags":["Document"],"operationId":"Document_ConfirmReceivedDocument","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"documents","in":"body","required":true,"schema":{"items":{"type":"string"},"type":"array"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.Authority.EntityResponse"}}},"security":[{"basic":[]}]}},"/Document/UploadDocumentInvoiceValidateEvent":{"post":{"tags":["Document"],"operationId":"Document_UploadDocumentInvoiceValidateEvent","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/SendEventToAuthority":{"get":{"tags":["Document"],"operationId":"Document_GetDocumentSendEventToAuthority","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.DTOs.SendEventToAuthorityDTO"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]},"post":{"tags":["Document"],"operationId":"Document_SendEventToAuthority","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.DTOs.SendEventToAuthorityDTO"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/GetStatusDocument":{"post":{"tags":["Document"],"operationId":"Document_GetStatusDocument","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"requestDocument","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.GetStatusDocumentMX"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/GetRelatedDocuments":{"post":{"tags":["Document"],"operationId":"Document_GetRelatedDocuments","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"requestDocument","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.GetStatusDocumentMX"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/GetPendingCancelRequest":{"post":{"tags":["Document"],"operationId":"Document_GetPendingCancelRequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"requestDocument","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.GetPendingCancelDocumentsMX"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/ResponseCancelRequest":{"post":{"tags":["Document"],"operationId":"Document_ResponseCancelRequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"requestDocument","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ResponseCancelRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/SendDocumentToUpload":{"post":{"tags":["Document"],"operationId":"Document_SendDocumentToUpload","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"document","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentToUpload"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Document/GetDocumentUploadStatus":{"get":{"tags":["Document"],"operationId":"Document_GetDocumentUploadStatus","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"trackId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/File/DownloadDocumentXml":{"get":{"tags":["File"],"operationId":"File_DownloadDocumentXml","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string"},{"name":"type","in":"query","required":false,"type":"string","default":"default"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"}}},"security":[{"basic":[]}]}},"/File/DownloadDocumentXmlByCountryDocumentId":{"post":{"tags":["File"],"operationId":"File_DownloadDocumentXmlByCountryDocumentId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"CountryDocumentId","in":"query","required":true,"type":"string"},{"name":"Date","in":"query","required":true,"type":"string","format":"date-time"},{"name":"Type","in":"query","required":false,"type":"string","default":"default"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"}}},"security":[{"basic":[]}]}},"/File/DownloadDocumentPdf":{"get":{"tags":["File"],"operationId":"File_DownloadDocumentPdf","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"type","in":"query","required":true,"type":"string"},{"name":"RegPDF","in":"query","required":false,"type":"boolean","default":false},{"name":"DocumentGroup","in":"query","required":false,"type":"integer","format":"int32","default":0}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"}}},"security":[{"basic":[]}]}},"/File/DownloadDocumentAttachments":{"get":{"tags":["File"],"operationId":"File_DownloadDocumentAttachments","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"},"xml":{"name":"FileResult","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/File/UploadDocumentAttachmentFromUrl":{"get":{"tags":["File"],"operationId":"File_UploadDocumentAttachmentFromUrl","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"attachmentUrl","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"},"xml":{"name":"ProcessResult","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/File/UploadDocumentAttachment":{"post":{"tags":["File"],"operationId":"File_UploadDocumentAttachment","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"attachment","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.AttachmentByDocumentId"}}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"},"xml":{"name":"ProcessResult","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/File/UploadDocumentAttachmentByNumber":{"post":{"tags":["File"],"operationId":"File_UploadDocumentAttachmentByNumber","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"attacchment","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.AttachmentByNumber"}}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"},"xml":{"name":"ProcessResult","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/File/UploadProofOfDeliveryAttachment":{"post":{"tags":["File"],"operationId":"File_UploadProofOfDeliveryAttachment","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"attachment","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ProofOfDeliveryAttachment"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ProofOfDeliveryResult"}}},"security":[{"basic":[]}]}},"/File/GetDocumentAttachments":{"get":{"tags":["File"],"operationId":"File_GetDocumentAttachments","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentAttachment"},"xml":{"name":"DocumentAttachment","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]},"post":{"tags":["File"],"operationId":"File_PostFileGetDocumentAttachments","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.DocumentAttachment"},"xml":{"name":"DocumentAttachment","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/File/DownloadDocumentAttachment":{"get":{"tags":["File"],"operationId":"File_DownloadDocumentAttachment","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"AttachmentId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"}}},"security":[{"basic":[]}]}},"/File/DownloadDocumentJson":{"get":{"tags":["File"],"operationId":"File_DownloadDocumentJson","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"GlobalDocumentId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"type","in":"query","required":false,"type":"string","default":"default"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"}}},"security":[{"basic":[]}]}},"/File/GetDocumentXml":{"get":{"tags":["File"],"operationId":"File_GetDocumentXml","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"CountryDocumentId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"}}},"security":[{"basic":[]}]}},"/File/DownloadDocumentPdfByCountryDocumentId":{"get":{"tags":["File"],"operationId":"File_DownloadDocumentPdfByCountryDocumentId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"countryDocumentId","in":"query","required":true,"type":"string"},{"name":"type","in":"query","required":true,"type":"string"},{"name":"RegPDF","in":"query","required":false,"type":"boolean","default":false},{"name":"DocumentGroup","in":"query","required":false,"type":"integer","format":"int32","default":0}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.API.FileResult"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/Get":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_GetProduct","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerId","in":"query","required":true,"type":"string"},{"name":"productId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/JGet":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_JGetProduct","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerIdProductIdJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/Search":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_SearchProducts","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"searchProductModel","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.SearchDTEDocumentoDetalle"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/JSearch":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_JSearchProducts","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"searchProductModelJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/Add":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_AddProduct","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"product","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalle"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/JAdd":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JAddProduct","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"productJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/Update":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_UpdateProduct","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"product","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalle"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/JUpdate":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JUpdateProduct","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"productJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/Delete":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_DeleteProduct","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerId","in":"query","required":true,"type":"string"},{"name":"productId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Product/JDelete":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JDeleteProduct","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerIdProductIdJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/Get":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_GetReceiver","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerId","in":"query","required":true,"type":"string"},{"name":"receiverId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/JGet":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_JGetReceiver","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerIdReceiverIdJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/Search":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_SearchReceivers","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"searchReceiverModel","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.SearchReceiverModel"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/JSearch":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_JSearchReceivers","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"searchReceiverModelJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/Add":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_AddReceiver","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"receiver","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptor"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/JAdd":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JAddReceiver","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"receiverJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/Update":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_UpdateReceiver","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"receiver","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptor"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/JUpdate":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JUpdateReceiver","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"receiverJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/Delete":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_DeleteReceiver","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerId","in":"query","required":true,"type":"string"},{"name":"receiverId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Receiver/JDelete":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JDeleteReceiver","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerIdReceiverIdJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/Get":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_GetPersonalized","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerId","in":"query","required":true,"type":"string"},{"name":"personalizedId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/JGet":{"get":{"tags":["IoFacturo"],"operationId":"IoFacturo_JGetPersonalized","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerIdPersonalizedIdJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/Add":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_AddPersonalized","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"personalized","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Personalized.DTEPersonalizadosDocPersonalizadoCampoString"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/JAdd":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JAddPersonalized","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"personalizedJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/Update":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_UpdatePersonalized","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"personalized","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Personalized.DTEPersonalizadosDocPersonalizadoCampoString"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/JUpdate":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JUpdatePersonalized","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"personalizedJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/Delete":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_DeletePersonalized","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerId","in":"query","required":true,"type":"string"},{"name":"personalizedId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/IoFacturo/Personalized/JDelete":{"post":{"tags":["IoFacturo"],"operationId":"IoFacturo_JDeletePersonalized","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ownerIdPersonalizedIdJson","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Message/ContactUser":{"post":{"tags":["Message"],"operationId":"Message_ContactUser","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"contact","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ContactUser"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.ContactResult"}}},"security":[{"basic":[]}]}},"/Msg/Recovery":{"get":{"tags":["Message"],"operationId":"Message_Recovery","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"senderCode","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Msg/Confirm":{"post":{"tags":["Message"],"operationId":"Message_Confirm","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Msg/DesConfirm":{"post":{"tags":["Message"],"operationId":"Message_DesConfirm","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"documents","in":"body","required":true,"schema":{"items":{"$ref":"#/definitions/Gosocket.Domain.Entities.GosocketDocument"},"xml":{"name":"GosocketDocument","wrapped":true},"type":"array"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Msg/RecoveryToPrint":{"get":{"tags":["Message"],"operationId":"Message_RecoveryToPrint","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"senderCode","in":"query","required":true,"type":"string"},{"name":"serie","in":"query","required":false,"type":"string","default":""}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Msg/ConfirmToPrint":{"post":{"tags":["Message"],"operationId":"Message_ConfirmToPrint","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Msg/DesConfirmToPrint":{"post":{"tags":["Message"],"operationId":"Message_DesConfirmToPrint","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"documents","in":"body","required":true,"schema":{"items":{"$ref":"#/definitions/Gosocket.Domain.Entities.GosocketDocument"},"xml":{"name":"GosocketDocument","wrapped":true},"type":"array"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}},"security":[{"basic":[]}]}},"/Mobile/AddDeviceToken":{"post":{"tags":["Mobile"],"operationId":"Mobile_AddDeviceToken","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"newToken","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.AddDeviceToken"}}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]}},"/Mobile/PushNewDocumentCommand":{"post":{"tags":["Mobile"],"operationId":"Mobile_PushNewDocumentCommand","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"command","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.PushNewDocumentCommand"}}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]}},"/Mobile/PushQuestionCommand":{"post":{"tags":["Mobile"],"operationId":"Mobile_PushQuestionCommand","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"command","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.PushQuestionCommand"}}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]}},"/Mobile/PushInputValueCommand":{"post":{"tags":["Mobile"],"operationId":"Mobile_PushInputValueCommand","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"command","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.PushInputValueCommand"}}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]}},"/Mobile/PushNotificationCommand":{"post":{"tags":["Mobile"],"operationId":"Mobile_PushNotificationCommand","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"command","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.PushNotificationCommand"}}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]}},"/Mobile/LastVersionNumber":{"post":{"tags":["Mobile"],"operationId":"Mobile_LastVersionNumber","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"check","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.CheckBuildNumber"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.NewBuildInfo"}}},"security":[{"basic":[]}]}},"/Mobile/GetConfiguration":{"get":{"tags":["Mobile"],"operationId":"Mobile_GetConfiguration","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"check","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.CheckBuildNumber"}}],"responses":{"200":{"description":"OK","schema":{"additionalProperties":{"type":"string"},"type":"object"}}},"security":[{"basic":[]}]}},"/Mobile/DownloadAgentConfig":{"post":{"tags":["Mobile"],"operationId":"Mobile_DownloadAgentConfig","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DownloadAgentRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.DownloadAgentResponse"}}},"security":[{"basic":[]}]}},"/Monitor/AddAuhtorityResponse":{"post":{"tags":["Monitor"],"operationId":"Monitor_AddAuhtorityResponseLog","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"logItems","in":"body","required":true,"schema":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.AuthorityResponseLog"},"xml":{"name":"AuthorityResponseLog","wrapped":true},"type":"array"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/CompleteRange":{"post":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_CompleteRange","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.SeriesAndNumber.SeriesAndNumberRangeRequestModel"}}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.Domain.Entities.SeriesAndNumber.SeriesAndNumberProcessResult"},"xml":{"name":"SeriesAndNumberProcessResult","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/GetAvailablesSeriesAndNumber":{"post":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_GetAvailablesSeriesAndNumber","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.SeriesAndNumberRequestModel"}}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.Domain.Entities.SeriesAndNumber.SeriesAndNumberResponse"},"xml":{"name":"SeriesAndNumberResponse","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/GetEtag":{"get":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_GetEtag","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountCode","in":"query","required":true,"type":"string"},{"name":"categoryId","in":"query","required":true,"type":"string","format":"uuid"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.SeriesAndNumber.SeriesAndNumberProcessResult"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/RegisterActualNumberInRange":{"post":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_RegisterActualNumberInRange","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.SeriesAndNumber.SeriesAndNumberRangeRequestModel"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.Domain.Entities.SeriesAndNumber.SeriesAndNumberProcessResult"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/GetAndConfirmSerieAndNumber":{"post":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_GetAndConfirmSerieAndNumber","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.SeriesAndNumberRequestModel"}}],"responses":{"200":{"description":"OK","schema":{"items":{"$ref":"#/definitions/Gosocket.Domain.Entities.SeriesAndNumber.SeriesAndNumberResponse"},"xml":{"name":"SeriesAndNumberResponse","wrapped":true},"type":"array"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/DownloadPrimaryRangeET":{"post":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_DownloadPrimaryRangeET","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.RequestDownloadPrimaryRangeRequestModel"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.ResponseModel"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/AnnulmentPrimaryRange":{"post":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_AnnulmentPrimaryRange","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.AnnulementPrimaryRangeRequestModel"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.ResponseModel"}}},"security":[{"basic":[]}]}},"/SeriesAndNumber/ConfirmAnnulmentPrimaryRange":{"post":{"tags":["SeriesAndNumber"],"operationId":"SeriesAndNumber_ConfirmAnnulmentPrimaryRange","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.ConfirmAnnulementPrimaryRangeRequestModel"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.SeriesAndNumber.ResponseModel"}}},"security":[{"basic":[]}]}},"/SmartSupply/Validate":{"post":{"tags":["SmartSupply"],"operationId":"SmartSupply_Validate","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"document","in":"body","required":true,"schema":{"$ref":"#/definitions/Gosocket.API.Models.Document"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.Document"}}},"security":[{"basic":[]}]}},"/Suggest/GetAccountName":{"get":{"tags":["Suggest"],"operationId":"Suggest_GetAccountName","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"taxId","in":"query","required":true,"type":"string"},{"name":"country","in":"query","required":true,"type":"string"},{"name":"resultCount","in":"query","required":false,"type":"integer","format":"int32","default":1}],"responses":{"200":{"description":"OK","schema":{"items":{"type":"string"},"type":"array"}}},"security":[{"basic":[]}]}},"/User/CreateUser":{"get":{"tags":["User"],"operationId":"User_CreateUser","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/User/DeleteUser":{"get":{"tags":["User"],"operationId":"User_DeleteUser","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/User/ForcePasswordChange":{"get":{"tags":["User"],"operationId":"User_ForcePasswordChange","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/User/GetUserInfo":{"get":{"tags":["User"],"operationId":"User_GetUserInfo","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.UserInfo"}}},"security":[{"basic":[]}]}},"/User/ChangeCurrentAccount":{"get":{"tags":["User"],"operationId":"User_ChangeCurrentAccount","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","required":true,"type":"string"},{"name":"country","in":"query","required":true,"type":"string"},{"name":"code","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.UserInfo"}}},"security":[{"basic":[]}]}},"/Validation/SchemaValidator":{"post":{"tags":["Validation"],"operationId":"Validation_SchemaValidator","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"file","in":"body","required":true,"schema":{"$ref":"#/definitions/Global.Gosocket.API.Models.FileContent"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Gosocket.API.Models.ProcessResult"}}},"security":[{"basic":[]}]}},"/Webhook/ConfirmFromAuthority":{"post":{"tags":["Webhook"],"operationId":"Webhook_ConfirmFromAuthority","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"globalDocumentId","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"basic":[]}]}}},"definitions":{"Gosocket.Domain.Entities.Authority.EntityResponse":{"properties":{"ErrorMessage":{"items":{"type":"string"},"type":"array"},"IsValid":{"type":"boolean"},"StatusCode":{"type":"string"},"StatusDescription":{"type":"string"},"StatusMessage":{"type":"string"},"XmlBase64Bytes":{"type":"string"},"XmlBytes":{"type":"string"},"XmlDocumentKey":{"type":"string"},"XmlFileName":{"type":"string"},"ResponseType":{"type":"string"},"OtherData":{"additionalProperties":{"type":"string"},"type":"object"},"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"Timestamp":{"type":"string","format":"date-time"},"Response":{"type":"string"},"TaxDocument":{"type":"string"},"PrinterXml":{"type":"string"}},"xml":{"name":"EntityResponse"},"type":"object"},"Gosocket.API.Models.ProcessResult":{"properties":{"Success":{"description":"True is Success","type":"boolean"},"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"CountryDocumentId":{"type":"string"},"OtherData":{"additionalProperties":{"type":"string"},"type":"object"},"Messages":{"items":{"type":"string"},"type":"array"},"ResponseValue":{"description":"Response value","type":"string"},"Code":{"description":"Return Code","type":"string"},"Description":{"description":"Code Description","type":"string"},"ErrorException":{"description":"Error Exception","type":"object"}},"xml":{"name":"ProcessResult"},"type":"object"},"Gosocket.Domain.Entities.Comment.GlobalComment":{"properties":{"PartitionKey":{"type":"string"},"CommentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"UserName":{"type":"string"},"AccountCode":{"type":"string"},"AccountName":{"type":"string"},"CommentTimeStamp":{"type":"string","format":"date-time"},"Comment":{"type":"string"},"Deleted":{"type":"boolean"},"DeletedByUserEmail":{"type":"string"},"Readed":{"type":"boolean"},"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"id":{"type":"string"},"_rid":{"type":"string"},"_self":{"type":"string"},"_etag":{"type":"string"},"_attachments":{"type":"string"},"_ts":{"type":"integer","format":"int32"}},"xml":{"name":"GlobalComment"},"type":"object"},"Global.Gosocket.API.Models.DocumentToAuthority":{"properties":{"FileContent":{"type":"string"},"Async":{"type":"boolean"},"Mapping":{"type":"string"},"Sign":{"type":"boolean"},"DefaultCertificate":{"type":"boolean"},"IgnoreDownWorkload":{"type":"boolean"},"IsTxt":{"type":"boolean"},"BillerId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"ValidateNumber":{"type":"boolean"}},"xml":{"name":"DocumentToAuthority"},"type":"object"},"Global.Gosocket.API.Models.DocumentToValidate":{"properties":{"FileContent":{"type":"string"}},"xml":{"name":"DocumentToValidate"},"type":"object"},"Global.Gosocket.API.Models.DocumentToAuthorityCustom":{"properties":{"FileContent":{"type":"string"},"Async":{"type":"boolean"},"Mapping":{"type":"string"},"ResponseMapping":{"type":"string"},"MediaType":{"type":"string"},"Sign":{"type":"boolean"},"DefaultCertificate":{"type":"boolean"}},"xml":{"name":"DocumentToAuthorityCustom"},"type":"object"},"Global.Gosocket.API.Models.ImportFromAuthorityModel":{"properties":{"GenericText":{"type":"string"}},"xml":{"name":"ImportFromAuthorityModel"},"type":"object"},"Global.Gosocket.API.Models.GenerateBillFromDocumentTemplate":{"properties":{"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"CountryDocumentId":{"type":"string"},"CountryId":{"type":"string"},"Date":{"type":"string","format":"date-time"},"DocumentSenderCode":{"type":"string"},"DocumentSenderName":{"type":"string"},"DocumentReceiverCodeTypeId":{"type":"string"},"DocumentReceiverCode":{"type":"string"},"DocumentReceiverName":{"type":"string"},"DocumentReceiverEmail":{"type":"string"},"PaymentMethod":{"type":"string"},"Author":{"type":"string"},"Timestamp":{"type":"string","format":"date-time"}},"xml":{"name":"GenerateBillFromDocumentTemplate"},"type":"object"},"Gosocket.API.Models.DocumentFilter":{"properties":{"GlobalDocumentId":{"description":"Id del documento en Gosocket","example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"CountryDocumentId":{"description":"Identificador Pais del documento conocido tambien como CUFE, CLAVE, UUID, ID","type":"string"},"ExternalId":{"description":"Id del documento en sistema externo, el campo se extrae de xpath personalizado al llegar el documento","type":"string"},"Country":{"description":"Codigo Pais, Ejemplos: cr,cl,py,uy,co,br,us,mx,ec,pe","type":"string"},"DateFrom":{"description":"Fecha de emision (desde), no se permite en el rango combinar 2 o mas años [*Campo obligatorio]","type":"string","format":"date-time"},"DateTo":{"description":"Fecha de emision (hasta), no se permite en el rango combinar 2 o mas años [*Campo obligatorio]","type":"string","format":"date-time"},"LastChangeFrom":{"type":"string","format":"date-time"},"LastChangeTo":{"type":"string","format":"date-time"},"ReceivedDateFrom":{"description":"Fecha de recepcion (desde)","type":"string","format":"date-time"},"ReceivedDateTo":{"description":"Fecha de recepcion (hasta)","type":"string","format":"date-time"},"SenderCode":{"description":"TaxId Emisor","type":"string"},"ReceiverCode":{"description":"TaxId Receptor","type":"string"},"DocumentTypeId":{"description":"Numero con Tipo de documento","type":"string"},"Series":{"description":"Serie del documento","type":"string"},"Number":{"description":"Folio","type":"string"},"SeriesNumber":{"type":"string"},"TwoCheckStatusSender":{"description":"Estados del emisor con validaciones adicionales SmartSupply","items":{"type":"integer","format":"int32"},"type":"array"},"TwoCheckStatusReceiver":{"description":"Estados del receptor con validaciones adicionales SmartSupply","items":{"type":"integer","format":"int32"},"type":"array"},"HasOffer":{"type":"boolean"},"OfferFinancialEntityCode":{"type":"string"},"DocumentTagValues":{"description":"Posibles Tags del documento, cada Tag define un estado, Ejemplo tag ACD con valor A es documento aprobado por el receptor","additionalProperties":{"type":"string"},"type":"object"},"ContainDocumentTagCode":{"additionalProperties":{"type":"boolean"},"type":"object"},"ResultMaxItemCount":{"description":"Cantidad de resultados de la consulta, si se pone un valor por encima de 100 el sistema lo ajustara a 100 maximo.","type":"integer","format":"int32"},"ContinuationToken":{"description":"ContinuationToken para paginar el resultado en caso de no responder todos en la consulta anterior","type":"string"},"Source":{"type":"string"}},"xml":{"name":"DocumentFilter"},"type":"object"},"Global.Gosocket.API.Models.DocumentResultOfGosocket.API.Models.Document":{"properties":{"Documents":{"items":{"$ref":"#/definitions/Gosocket.API.Models.Document"},"xml":{"name":"Document","wrapped":true},"type":"array"},"ContinuationToken":{"type":"string"},"Description":{"type":"string"}},"xml":{"name":"DocumentResult`1"},"type":"object"},"Gosocket.API.Models.Document":{"properties":{"GlobalDocumentId":{"description":"Id del documento en Gosocket","example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"CountryDocumentId":{"description":"Id del documento en el Pais, ejemplo CUFE, Clave, UUID, ID","type":"string"},"ExternalId":{"description":"Id del documento en el sistema externo, ejemplo Internal Number","type":"string"},"CountryId":{"description":"Pais donde se emitio el documento","type":"string"},"Date":{"description":"Fecha Emision","type":"string","format":"date-time"},"DocumentTypeId":{"description":"Id del tipo de documento en Gosocket","type":"integer","format":"int32"},"DocumentTypeName":{"description":"Nombre del tipo de documento en Gosocket","type":"string"},"NetAmount":{"description":"NetAmount","type":"number","format":"double"},"FreeAmount":{"description":"FreeAmount","type":"number","format":"double"},"TaxAmount":{"description":"FreeAmount","type":"number","format":"double"},"TotalAmount":{"description":"TotalAmount","type":"number","format":"double"},"CurrencyType":{"description":"Tipo Moneda","type":"string"},"SeriesNumber":{"description":"Serie concatenado con Numero o folio","type":"string"},"Series":{"description":"Serie","type":"string"},"Number":{"description":"Numero o Folio formato numerico","type":"integer","format":"int64"},"NumberStr":{"description":"Numero o Folio formato string","type":"string"},"DocumentSenderCode":{"description":"TaxId emisor","type":"string"},"DocumentSenderName":{"description":"Nombre emisor","type":"string"},"DocumentReceiverCode":{"description":"TaxId Receptor","type":"string"},"DocumentReceiverName":{"description":"Nombre Receptor","type":"string"},"DocumentFinancialOwnerCode":{"type":"string"},"DocumentFinancialOwnerName":{"type":"string"},"FinancialDate":{"type":"string","format":"date-time"},"EstimatedPaymentDate":{"type":"string","format":"date-time"},"DocumentTimeStamp":{"description":"Fecha Recepcion en Gosocket","type":"string","format":"date-time"},"AuthorityTimeStamp":{"type":"string","format":"date-time"},"SyncPoint":{"description":"Syncpoint o Usuario del sistema que envio el documento a Gosocket","example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"DocumentTags":{"description":"Posibles Tags del documento, cada Tag define un estado, Ejemplo tag ACD con valor A es documento aprobado por el receptor","items":{"$ref":"#/definitions/Gosocket.API.Models.DocumentTag"},"xml":{"name":"DocumentTag","wrapped":true},"type":"array"},"TwoCheck":{"$ref":"#/definitions/Gosocket.API.Models.TwoChekResult","description":"Estados del receptor con validaciones adicionales SmartSupply"},"Notes":{"items":{"$ref":"#/definitions/Gosocket.API.Models.DocumentNotes"},"xml":{"name":"DocumentNotes","wrapped":true},"type":"array"},"Offers":{"items":{"$ref":"#/definitions/Gosocket.API.Models.DocumentOffer"},"xml":{"name":"DocumentOffer","wrapped":true},"type":"array"},"Fields":{"items":{"$ref":"#/definitions/Gosocket.API.Models.AdditionalField"},"xml":{"name":"AdditionalField","wrapped":true},"type":"array"},"Author":{"type":"string"}},"xml":{"name":"Document"},"type":"object"},"Gosocket.API.Models.DocumentTag":{"description":"Posibles Tags del documento, cada Tag define un estado","properties":{"Code":{"description":"Codigo del tag Ej (ACD)(AttSC)(AttRC)","type":"string"},"TimeStamp":{"description":"Fecha y hora del ultimo cambio de estado","type":"string","format":"date-time"},"Value":{"description":"Valor del tag","type":"string"}},"xml":{"name":"DocumentTag"},"type":"object"},"Gosocket.API.Models.TwoChekResult":{"description":"Resultado de las validaciones adicionales del modulo SmartSupply","properties":{"TwoCheckDocumentStatus":{"type":"integer","format":"int32"},"TwoCheckDocumentStatusDescription":{"type":"string"},"TwoCheckReceiverDocumentStatus":{"type":"integer","format":"int32"},"TwoCheckReceiverInternalDocumentStatusDescription":{"type":"string"},"Timestamp":{"description":"Fecha y hora del ultimo cambio de estado twoCheck","type":"string","format":"date-time"}},"xml":{"name":"TwoChekResult"},"type":"object"},"Gosocket.API.Models.DocumentNotes":{"properties":{"Mandatory":{"type":"boolean"},"Code":{"type":"string"},"Note":{"type":"string"},"TimeStamp":{"type":"string","format":"date-time"},"Detail":{"type":"string"},"Source":{"type":"string"}},"xml":{"name":"DocumentNotes"},"type":"object"},"Gosocket.API.Models.DocumentOffer":{"properties":{"OfferRuleId":{"type":"string"},"FinancialEntityCode":{"type":"string"},"FinancialEntityName":{"type":"string"},"FromDate":{"type":"string","format":"date-time"},"ToDate":{"type":"string","format":"date-time"},"Timestamp":{"type":"string","format":"date-time"},"InterestRate":{"type":"number","format":"double"},"AdvancePercent":{"type":"number","format":"double"},"NplRatio":{"type":"number","format":"double"},"Commission":{"type":"number","format":"double"},"CommissionPercent":{"type":"number","format":"double"},"StartProcessTimestamp":{"type":"string","format":"date-time"},"EndActionTimestamp":{"type":"string","format":"date-time"},"Enabled":{"type":"boolean"}},"xml":{"name":"DocumentOffer"},"type":"object"},"Gosocket.API.Models.AdditionalField":{"properties":{"Code":{"type":"string"},"Name":{"type":"string"},"Value":{"type":"string"},"ExternalId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"Source":{"type":"string"},"IsValid":{"type":"boolean"},"EditingEnabled":{"type":"boolean"},"Flow":{"type":"string"},"Timestamp":{"type":"string","format":"date-time"},"Category":{"type":"string"}},"xml":{"name":"AdditionalField"},"type":"object"},"Global.Gosocket.API.Models.DocumentToChangeStatus":{"properties":{"globalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"countryDocumentId":{"type":"string"},"countryId":{"type":"string"},"status":{"type":"string"},"description":{"type":"string"},"code":{"type":"string"},"operationType":{"type":"string"},"valuePaid":{"type":"string"},"endorseeTypeID":{"type":"string"},"endorseeID":{"type":"string"},"endorseeName":{"type":"string"},"endorsementDiscountRate":{"type":"string"},"halfPayment":{"type":"string"},"endorsementPricePay":{"type":"string"},"endorsementTypeID":{"type":"string"},"currentValue":{"type":"string"},"pendingValue":{"type":"string"},"paymentDate":{"type":"string"},"mandateStartDate":{"type":"string"},"mandateEndDate":{"type":"string"},"principalName":{"type":"string"},"principalID":{"type":"string"},"principalTypeID":{"type":"string"},"principalNameLR":{"type":"string"},"principalSurnameLR":{"type":"string"},"principalIDLR":{"type":"string"},"principalTypeIDLR":{"type":"string"},"principalPositionLR":{"type":"string"},"principalNationalityLR":{"type":"string"},"principalAreaLR":{"type":"string"},"holderID":{"type":"string"},"holderTypeID":{"type":"string"},"holderName":{"type":"string"},"mandatoryName":{"type":"string"},"mandatoryID":{"type":"string"},"mandatoryTypeID":{"type":"string"},"mandatoryNameLR":{"type":"string"},"mandatorySurnameLR":{"type":"string"},"mandatoryIDLR":{"type":"string"},"mandatoryTypeIDLR":{"type":"string"},"mandatoryPositionLR":{"type":"string"},"mandatoryNationalityLR":{"type":"string"},"mandatoryAreaLR":{"type":"string"},"endorsementReferenceID":{"type":"string"},"endorsementReferenceCUDE":{"type":"string"},"recinto":{"type":"string"},"AcceptedPayment":{"type":"string"},"NotaryNumber":{"type":"string"},"ProtestRecord":{"type":"string"},"NotaryName":{"type":"string"},"NotaryLastName":{"type":"string"},"NotaryJobTitle":{"type":"string"},"EffectiveDate":{"type":"string"},"ParcialPayment":{"type":"string"},"source":{"type":"string"},"reason":{"type":"string"},"factorTypeID":{"type":"string"},"accountCode":{"type":"string"},"stampNumber":{"type":"string"},"stampSeries":{"type":"string"},"establishment":{"type":"string"},"dispatchPoint":{"type":"string"},"startNumberRange":{"type":"string"},"endNumberRange":{"type":"string"},"documentType":{"type":"string"},"receiverType":{"type":"string"},"receiverCountry":{"type":"string"},"receiverTypeTaxpayer":{"type":"string"},"receiverCode":{"type":"string"},"receiverCodeDV":{"type":"string"},"receiverDocumentType":{"type":"string"},"receiverName":{"type":"string"},"receiverFantasyName":{"type":"string"},"receiverAddress":{"type":"string"},"receiverHouseNumber":{"type":"string"},"receiverDepartmentCode":{"type":"string"},"receiverDepartmentName":{"type":"string"},"receiverDistrictCode":{"type":"string"},"receiverDistrictName":{"type":"string"},"receiverCityCode":{"type":"string"},"receiverCityName":{"type":"string"},"receiverPhone":{"type":"string"},"receiverCellPhone":{"type":"string"},"receiverEmail":{"type":"string"},"customerCode":{"type":"string"},"receiverAddressReference":{"type":"string"},"driverName":{"type":"string"},"driverCode":{"type":"string"},"carrierTypeTaxpayer":{"type":"string"},"carrierCode":{"type":"string"},"carrierCodeDV":{"type":"string"},"carrierName":{"type":"string"},"carrierDocumentType":{"type":"string"},"carriageType":{"type":"string"},"carriageMode":{"type":"string"},"vehicleType":{"type":"string"},"vehicleBrand":{"type":"string"},"vehicleDocumentType":{"type":"string"},"vehicleCode":{"type":"string"},"vehicleRegistration":{"type":"string"},"alteredGroup":{"type":"string"},"vCBS":{"type":"string"},"vIBS":{"type":"string"},"paymentBeneficiary":{"type":"string"},"financialInstitutionBase":{"type":"string"},"transactionId":{"type":"string"},"cancelAuthProtocolNo":{"type":"string"}},"xml":{"name":"DocumentToChangeStatus"},"type":"object"},"Global.Gosocket.API.Models.NewDocument":{"properties":{"Document":{"$ref":"#/definitions/Gosocket.API.Models.Document"},"Base64FileContent":{"type":"string"},"FileContentType":{"type":"string"},"DocumentFlow":{"type":"string"},"SendToAuthority":{"type":"boolean"}},"xml":{"name":"NewDocument"},"type":"object"},"Global.Gosocket.API.Models.ReceivedDocumentResult":{"properties":{"Error":{"type":"boolean"},"Description":{"type":"string"},"CData":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.CData"},"xml":{"name":"CData","wrapped":true},"type":"array"},"Code":{"type":"integer","format":"int32"}},"xml":{"name":"ReceivedDocumentResult"},"type":"object"},"Global.Gosocket.API.Models.CData":{"properties":{"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"XmlString":{"type":"string"}},"xml":{"name":"CData"},"type":"object"},"Global.Gosocket.API.Models.DocumentToGetEvents":{"properties":{"globalDocumentId":{"type":"string"},"countryDocumentId":{"type":"string"},"status":{"type":"string"}},"xml":{"name":"DocumentToGetEvents"},"type":"object"},"Gosocket.Domain.Entities.DTOs.SendEventToAuthorityDTO":{"properties":{"Status":{"type":"string"},"Description":{"type":"string"},"DocType":{"type":"string"}},"xml":{"name":"SendEventToAuthorityDTO"},"type":"object"},"Global.Gosocket.API.Models.GetStatusDocumentMX":{"properties":{"uuid":{"type":"string"},"rfcemisor":{"type":"string"}},"xml":{"name":"GetStatusDocumentMX"},"type":"object"},"Global.Gosocket.API.Models.GetPendingCancelDocumentsMX":{"properties":{"RFCReceptor":{"type":"string"}},"xml":{"name":"GetPendingCancelDocumentsMX"},"type":"object"},"Global.Gosocket.API.Models.ResponseCancelRequest":{"properties":{"RFCReceptor":{"type":"string"},"UUID":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"Response":{"type":"string"}},"xml":{"name":"ResponseCancelRequest"},"type":"object"},"Global.Gosocket.API.Models.DocumentToUpload":{"properties":{"FileContent":{"type":"string"},"Country":{"type":"string"},"ValidateSchema":{"type":"boolean"},"ValidateSign":{"type":"boolean"},"ValidateAuthorityStatus":{"type":"boolean"},"NoSaveNotes":{"type":"boolean"}},"xml":{"name":"DocumentToUpload"},"type":"object"},"Gosocket.Domain.Entities.API.FileResult":{"properties":{"Name":{"type":"string"},"Description":{"type":"string"},"Base64Content":{"type":"string","format":"byte"},"Timestamp":{"type":"string","format":"date-time"},"Type":{"type":"string"}},"xml":{"name":"FileResult"},"type":"object"},"Global.Gosocket.API.Models.AttachmentByDocumentId":{"properties":{"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"FileName":{"type":"string"},"Description":{"type":"string"},"Base64FileContent":{"type":"string"}},"xml":{"name":"AttachmentByDocumentId"},"type":"object"},"Global.Gosocket.API.Models.AttachmentByNumber":{"properties":{"SenderCode":{"type":"string"},"Date":{"type":"string","format":"date-time"},"DocumentTypeId":{"type":"integer","format":"int32"},"Series":{"type":"string"},"Number":{"type":"integer","format":"int64"},"FileName":{"type":"string"},"Description":{"type":"string"},"Base64FileContent":{"type":"string"}},"xml":{"name":"AttachmentByNumber"},"type":"object"},"Global.Gosocket.API.Models.ProofOfDeliveryAttachment":{"properties":{"AttId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"CountryId":{"type":"string"},"DocumentAccountCode":{"type":"string"},"UserName":{"type":"string"},"NumberStr":{"type":"string"},"DocumentTypeId":{"type":"integer","format":"int32"},"DocumentTypeName":{"type":"string"},"Base64Image":{"type":"string"},"Coordinates":{"items":{"type":"number","format":"double"},"type":"array"},"TimeStamp":{"type":"string"}},"xml":{"name":"ProofOfDeliveryAttachment"},"type":"object"},"Global.Gosocket.API.Models.ProofOfDeliveryResult":{"properties":{"Success":{"type":"boolean"},"DocumentAccountCode":{"type":"string"},"NumberStr":{"type":"string"},"StepFlow":{"type":"integer","format":"int32"},"DocumentTypeId":{"type":"integer","format":"int32"},"AttId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"}},"xml":{"name":"ProofOfDeliveryResult"},"type":"object"},"Global.Gosocket.API.Models.DocumentAttachment":{"properties":{"AttachmentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"Country":{"type":"string"},"Name":{"type":"string"},"Description":{"type":"string"},"AttachmentTypeId":{"type":"integer","format":"int32"},"Date":{"type":"string","format":"date-time"},"FileExt":{"type":"string"},"ShowSender":{"type":"boolean"},"ShowReceiver":{"type":"boolean"},"RefSenderCode":{"type":"string"},"RefReceiverCode":{"type":"string"},"RefDocumentTypeId":{"type":"integer","format":"int32"},"RefDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"RefCountryDocumentId":{"type":"string"},"RefDate":{"type":"string","format":"date-time"},"RefNumber":{"type":"string"},"RefSeries":{"type":"string"},"CreatedBy":{"type":"string"},"CreationSource":{"type":"string"},"Timestamp":{"type":"string","format":"date-time"},"LastUpated":{"type":"string","format":"date-time"},"AuthorityValidation":{"type":"integer","format":"int32"},"AuthorityValidationTimestamp":{"type":"string","format":"date-time"},"GlobalTrackId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"}},"xml":{"name":"DocumentAttachment"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.SearchDTEDocumentoDetalle":{"properties":{"OwnerId":{"type":"string"}},"xml":{"name":"SearchDTEDocumentoDetalle"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalle":{"properties":{"<DetalleId>k__BackingField":{"type":"string"},"<DetalleIdSpecified>k__BackingField":{"type":"boolean"},"<OwnerId>k__BackingField":{"type":"string"},"<OwnerIdSpecified>k__BackingField":{"type":"string"},"<IsMandante>k__BackingField":{"type":"boolean"},"<NmbItem>k__BackingField":{"type":"string"},"<IsFree>k__BackingField":{"type":"boolean"},"<FreeType>k__BackingField":{"type":"string"},"<PriceBackup>k__BackingField":{"type":"number","format":"double"},"nroLinDetField":{"type":"string"},"cdgItemField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleCdgItem"},"xml":{"name":"DTEDocumentoDetalleCdgItem","wrapped":true},"type":"array"},"indExeField":{"type":"string"},"indListaItemField":{"type":"string","enum":["Item0","Item1"]},"indListaItemFieldSpecified":{"type":"boolean"},"tpoListaItemField":{"type":"string"},"dscLangField":{"type":"string","enum":["EN","ES"]},"dscItemField":{"type":"string"},"qtyItemField":{"type":"number","format":"double"},"subQtyItemField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubQtyItem"},"xml":{"name":"DTEDocumentoDetalleSubQtyItem","wrapped":true},"type":"array"},"fchElaborField":{"type":"string","format":"date-time"},"fchElaborFieldSpecified":{"type":"boolean"},"fchVencimField":{"type":"string","format":"date-time"},"fchVencimFieldSpecified":{"type":"boolean"},"unmdItemField":{"type":"string"},"prcBrutoItemField":{"type":"number","format":"double"},"prcBrutoItemFieldSpecified":{"type":"boolean"},"prcNetoItemField":{"type":"number","format":"double"},"otrMndaField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleOtrMnda"},"descuentoPctField":{"type":"number","format":"double"},"descuentoPctFieldSpecified":{"type":"boolean"},"descuentoMontoField":{"type":"number","format":"double"},"descuentoMontoFieldSpecified":{"type":"boolean"},"subDsctoField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubDscto"},"xml":{"name":"DTEDocumentoDetalleSubDscto","wrapped":true},"type":"array"},"recargoPctField":{"type":"number","format":"double"},"recargoPctFieldSpecified":{"type":"boolean"},"recargoMontoField":{"type":"number","format":"double"},"recargoMontoFieldSpecified":{"type":"boolean"},"subRecargoField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubRecargo"},"xml":{"name":"DTEDocumentoDetalleSubRecargo","wrapped":true},"type":"array"},"impuestosDetField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleImpuestosDet"},"xml":{"name":"DTEDocumentoDetalleImpuestosDet","wrapped":true},"type":"array"},"retencionesDetField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleRetencionesDet"},"xml":{"name":"DTEDocumentoDetalleRetencionesDet","wrapped":true},"type":"array"},"montoBrutoItemField":{"type":"number","format":"double"},"montoBrutoItemFieldSpecified":{"type":"boolean"},"montoNetoItemField":{"type":"number","format":"double"},"montoTotalItemField":{"type":"number","format":"double"},"montoTotalItemFieldSpecified":{"type":"boolean"},"subMontoField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubMonto"},"xml":{"name":"DTEDocumentoDetalleSubMonto","wrapped":true},"type":"array"},"nroCtaPredialField":{"type":"string"},"tpoDocRefField":{"type":"string"},"serieRefField":{"type":"string"},"numeroRefField":{"type":"string"},"aduanaItemField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleAduanaItem"},"xml":{"name":"DTEDocumentoDetalleAduanaItem","wrapped":true},"type":"array"},"polizaItemField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.PolizaType"},"servicioItemField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.ServicioType"},"vehiculoItemField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleVehiculoItem"},"localItemField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.ItemLocalType"},"areaItemField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.AreaType"}},"xml":{"name":"DTEDocumentoDetalle"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleCdgItem":{"properties":{"<OwnerId>k__BackingField":{"type":"string"},"<ProductId>k__BackingField":{"type":"string"},"tpoCodigoField":{"type":"string"},"vlrCodigoField":{"type":"string"}},"xml":{"name":"DTEDocumentoDetalleCdgItem"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubQtyItem":{"properties":{"subCodField":{"type":"string"},"subQtyField":{"type":"number","format":"double"}},"xml":{"name":"DTEDocumentoDetalleSubQtyItem"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleOtrMnda":{"properties":{"prcOtrMonField":{"type":"number","format":"double"},"monedaField":{"type":"string","enum":["COP","USD","EUR","COU"]},"fctConvField":{"type":"number","format":"double"}},"xml":{"name":"DTEDocumentoDetalleOtrMnda"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubDscto":{"properties":{"tipoDsctoField":{"type":"string"},"glosaDsctoField":{"type":"string"},"pctDsctoField":{"type":"number","format":"double"},"pctDsctoFieldSpecified":{"type":"boolean"},"mntDsctoField":{"type":"number","format":"double"},"<MntDsctoSpecified>k__BackingField":{"type":"boolean"},"<LastSpecified>k__BackingField":{"type":"string"}},"xml":{"name":"DTEDocumentoDetalleSubDscto"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubRecargo":{"properties":{"tipoRecargoField":{"type":"string"},"glosaRecargoField":{"type":"string"},"pctRecargoField":{"type":"number","format":"double"},"pctRecargoFieldSpecified":{"type":"boolean"},"mntRecargoField":{"type":"number","format":"double"},"<MntRecargoSpecified>k__BackingField":{"type":"boolean"},"<LastSpecified>k__BackingField":{"type":"string"}},"xml":{"name":"DTEDocumentoDetalleSubRecargo"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleImpuestosDet":{"properties":{"tipoImpField":{"type":"string"},"codTasaImpField":{"type":"string"},"tasaImpField":{"type":"number","format":"double"},"tasaImpFieldSpecified":{"type":"boolean"},"montoBaseImpField":{"type":"number","format":"double"},"montoBaseImpFieldSpecified":{"type":"boolean"},"montoImpField":{"type":"number","format":"double"},"montoImpFieldSpecified":{"type":"boolean"},"<PrecioPorUnidad>k__BackingField":{"type":"number","format":"double"},"<PrecioPorUnidadSpecified>k__BackingField":{"type":"boolean"},"<UnidadMedida>k__BackingField":{"type":"string"},"<Enabled>k__BackingField":{"type":"boolean"}},"xml":{"name":"DTEDocumentoDetalleImpuestosDet"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleRetencionesDet":{"properties":{"tipoRetField":{"type":"string"},"codTasaRetField":{"type":"string"},"tasaRetField":{"type":"number","format":"double"},"tasaRetFieldSpecified":{"type":"boolean"},"montoBaseRetField":{"type":"number","format":"double"},"montoBaseRetFieldSpecified":{"type":"boolean"},"montoRetField":{"type":"number","format":"double"},"montoRetFieldSpecified":{"type":"boolean"}},"xml":{"name":"DTEDocumentoDetalleRetencionesDet"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleSubMonto":{"properties":{"tipoField":{"type":"string"},"codTipoMontoField":{"type":"string"},"tasaConceptoField":{"type":"number","format":"double"},"tasaConceptoFieldSpecified":{"type":"boolean"},"montoBaseField":{"type":"number","format":"double"},"montoBaseFieldSpecified":{"type":"boolean"},"montoConceptoField":{"type":"number","format":"double"},"montoConceptoFieldSpecified":{"type":"boolean"},"montoTotalField":{"type":"number","format":"double"},"montoTotalFieldSpecified":{"type":"boolean"}},"xml":{"name":"DTEDocumentoDetalleSubMonto"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleAduanaItem":{"properties":{"gLNField":{"type":"string"},"nmbAduanaField":{"type":"string"},"ubicacionField":{"type":"string"},"nroDctoField":{"type":"string"},"fechaDctoField":{"type":"string","format":"date-time"},"lugarEmbarqueField":{"type":"string"},"lugarDesembarqueField":{"type":"string"},"medioTrasladoField":{"type":"string","enum":["aereo","terrestre","maritimo"]},"medioTrasladoFieldSpecified":{"type":"boolean"},"agenteField":{"type":"string"},"representanteField":{"type":"string"},"detDocRefField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleAduanaItemDetDocRef"},"xml":{"name":"DTEDocumentoDetalleAduanaItemDetDocRef","wrapped":true},"type":"array"}},"xml":{"name":"DTEDocumentoDetalleAduanaItem"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.PolizaType":{"properties":{"tipoField":{"type":"string"},"numeroField":{"type":"string"},"iNCField":{"type":"string"},"incNroSerieField":{"type":"string"},"tpoClienteField":{"type":"string","enum":["Item0","Item1","Item2"]},"tpoClienteFieldSpecified":{"type":"boolean"},"nroReporteField":{"type":"string"},"nroSintField":{"type":"string"},"nroExpField":{"type":"string"},"nmbContField":{"type":"string"},"cdgContField":{"type":"string"},"direccionContField":{"type":"string"},"nmbAsegField":{"type":"string"},"cdgAsegField":{"type":"string"},"direccionAsegField":{"type":"string"},"nmbAfectField":{"type":"string"},"cdgAfectField":{"type":"string"},"direccionAfectField":{"type":"string"},"vigDesdeField":{"type":"string","format":"date-time"},"vigDesdeFieldSpecified":{"type":"boolean"},"vigHastaField":{"type":"string","format":"date-time"},"vigHastaFieldSpecified":{"type":"boolean"}},"xml":{"name":"PolizaType"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.ServicioType":{"properties":{"tipoField":{"type":"string"},"numeroField":{"type":"string"},"nroExpField":{"type":"string"},"mandanteField":{"type":"string"},"ejecutorField":{"type":"string"},"frecuenciaField":{"type":"string","enum":["DIARIA","SEMANAL","ANUAL","SEMESTRAL","BIMESTRAL","TRIMESTRAL","EVENTUAL","MENSUAL","OTRA"]},"frecuenciaFieldSpecified":{"type":"boolean"},"duracionField":{"type":"string"},"origenField":{"type":"string"},"destinoField":{"type":"string"},"periodoDesdeField":{"type":"string","format":"date-time"},"periodoDesdeFieldSpecified":{"type":"boolean"},"periodoHastaField":{"type":"string","format":"date-time"},"periodoHastaFieldSpecified":{"type":"boolean"},"razonServField":{"type":"string"}},"xml":{"name":"ServicioType"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleVehiculoItem":{"properties":{"tipoField":{"type":"string"},"marcaField":{"type":"string"},"modeloField":{"type":"string"},"anoField":{"type":"integer","format":"int32"},"colorField":{"type":"string"},"nroChasisField":{"type":"string"},"nroSerieField":{"type":"string"},"nroMotorField":{"type":"string"},"placaField":{"type":"string"}},"xml":{"name":"DTEDocumentoDetalleVehiculoItem"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.ItemLocalType":{"properties":{"tipoLocField":{"type":"string"},"codigoLocField":{"type":"string"},"nombreLocField":{"type":"string"},"seccionLocField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Product.ItemLocalTypeSeccionLoc"},"xml":{"name":"ItemLocalTypeSeccionLoc","wrapped":true},"type":"array"}},"xml":{"name":"ItemLocalType"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.AreaType":{"properties":{"idAreaField":{"type":"string"},"idRevisionField":{"type":"string"}},"xml":{"name":"AreaType"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.DTEDocumentoDetalleAduanaItemDetDocRef":{"properties":{"tipoDocField":{"type":"string"},"numDocField":{"type":"string"},"fechaDocField":{"type":"string","format":"date-time"},"fechaDocFieldSpecified":{"type":"boolean"}},"xml":{"name":"DTEDocumentoDetalleAduanaItemDetDocRef"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Product.ItemLocalTypeSeccionLoc":{"properties":{"tipoField":{"type":"string"},"calificadorField":{"type":"string"},"nroSecField":{"type":"string"}},"xml":{"name":"ItemLocalTypeSeccionLoc"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Client.SearchReceiverModel":{"properties":{"OwnerId":{"type":"string"}},"xml":{"name":"SearchReceiverModel"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptor":{"properties":{"<ReceptorId>k__BackingField":{"type":"string"},"<ReceptorIdSpecified>k__BackingField":{"type":"boolean"},"<OwnerId>k__BackingField":{"type":"string"},"<OwnerIdSpecified>k__BackingField":{"type":"boolean"},"<TipoContribuyenteR>k__BackingField":{"type":"string"},"<RegimenContableR>k__BackingField":{"type":"string"},"docRecepField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptorDocRecep"},"nmbRecepField":{"type":"string"},"nombreRecepField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.NombreType"},"cdgGLNRecepField":{"type":"string"},"codigoReceptorField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptorCodigoReceptor"},"xml":{"name":"DTEDocumentoEncabezadoReceptorCodigoReceptor","wrapped":true},"type":"array"},"cdgSucursalField":{"type":"string"},"sucursalField":{"type":"string"},"contactoField":{"type":"string"},"domFiscalRcpField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.UbicacionType"},"lugarRecepField":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.UbicacionType"},"contactoReceptorField":{"items":{"$ref":"#/definitions/Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptorContactoReceptor"},"xml":{"name":"DTEDocumentoEncabezadoReceptorContactoReceptor","wrapped":true},"type":"array"}},"xml":{"name":"DTEDocumentoEncabezadoReceptor"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptorDocRecep":{"properties":{"tipoDocRecepField":{"type":"string"},"nroDocRecepField":{"type":"string"}},"xml":{"name":"DTEDocumentoEncabezadoReceptorDocRecep"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Client.NombreType":{"properties":{"primerNombreField":{"type":"string"},"otrosNombresField":{"type":"string"},"primerApellidoField":{"type":"string"},"segundoApellidoField":{"type":"string"}},"xml":{"name":"NombreType"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptorCodigoReceptor":{"properties":{"tpoCdgIntRecepField":{"type":"string"},"cdgIntRecepField":{"type":"string"},"<SelectedValuesResponsabilidad>k__BackingField":{"items":{"type":"string"},"type":"array"}},"xml":{"name":"DTEDocumentoEncabezadoReceptorCodigoReceptor"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Client.UbicacionType":{"properties":{"calleField":{"type":"string"},"nroExteriorField":{"type":"string"},"nroInteriorField":{"type":"string"},"departamentoField":{"type":"string"},"distritoField":{"type":"string"},"ciudadField":{"type":"string"},"municipioField":{"type":"string"},"paisField":{"type":"string"},"codigoPostalField":{"type":"string"},"gLNField":{"type":"string"}},"xml":{"name":"UbicacionType"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Client.DTEDocumentoEncabezadoReceptorContactoReceptor":{"properties":{"tipoField":{"type":"string"},"nombreField":{"type":"string"},"descripcionField":{"type":"string"},"direccionField":{"type":"string"},"eMailField":{"type":"string"},"extensionField":{"type":"string"},"telefonoField":{"type":"string"},"faxField":{"type":"string"},"gLNField":{"type":"string"}},"xml":{"name":"DTEDocumentoEncabezadoReceptorContactoReceptor"},"type":"object"},"Global.Gosocket.API.Models.IoFacturo.Personalized.DTEPersonalizadosDocPersonalizadoCampoString":{"properties":{"<OwnerId>k__BackingField":{"type":"string"},"<PersonalizedId>k__BackingField":{"type":"string"},"nameField":{"type":"string"},"valueField":{"type":"string"},"<IsFacturaElectronica>k__BackingField":{"type":"boolean"},"<IsNotaCreditoElectronica>k__BackingField":{"type":"boolean"},"<IsNotaDebitoElectronica>k__BackingField":{"type":"boolean"},"<IsBoletaVenta>k__BackingField":{"type":"boolean"},"<IsOrdenCompra>k__BackingField":{"type":"boolean"},"<Id>k__BackingField":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"<Action>k__BackingField":{"type":"string","enum":["Add","Edit","Delete"]}},"xml":{"name":"DTEPersonalizadosDocPersonalizadoCampoString"},"type":"object"},"Global.Gosocket.API.Models.ContactUser":{"properties":{"Email":{"type":"string"},"Phone":{"type":"string"},"Subject":{"type":"string"},"Timestamp":{"type":"string","format":"date-time"},"Params":{"additionalProperties":{"type":"string"},"type":"object"}},"xml":{"name":"ContactUser"},"type":"object"},"Global.Gosocket.API.Models.ContactResult":{"properties":{"Success":{"type":"boolean"},"MessageResult":{"type":"string"}},"xml":{"name":"ContactResult"},"type":"object"},"Gosocket.Domain.Entities.GosocketDocument":{"properties":{"PartitionKey":{"type":"string"},"GlobalDocumentId":{"example":"00000000-0000-0000-0000-000000000000","type":"string","format":"uuid"},"CountryDocumentId":{"type":"string"},"CountryId":{"type":"string"},"Date":{"type":"string","format":"date-time"},"DateNumber":{"type":"integer","format":"int32"},"DocumentTypeId":{"type":"integer","format":"int32"},"DocumentTypeName":{"type":"string"},"NetAmount":{"type":"number","format":"double"},"DiscountAmount":{"type":"number","format":"double"},"FreeAmount":{"type":"number","format":
[...]
